# CS-443 Software Quality Assurance and Testing

> *Requirements analysis and test plan design. Testing strategies and techniques. Test coverage using statistical techniques. Code reviews and inspections.*

**Karl R. Wurst**

Worcester State University

Upon successful completion of this course, students will be able to:

* Design and implement comprehensive test plans and analyze requirements to determine appropriate testing strategies
* Apply a wide variety of testing techniques in an effective and efficient manner
* Compute test coverage and yield according to a variety of criteria and use statistical techniques to evaluate defect density and likelihood of faults.
* Conduct reviews and effective, efficient inspections
* Assess a software process to evaluate how effective it is at promoting quality
